<!DOCTYPE html>
<html>
  <head>
    <meta name="description" content="A pomf-like file uploading service that doesn't suck.">
    <meta name="keywords" content="upload,i.kasai.moe,file,images,hosting">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <link rel="apple-touch-icon" sizes="180x180" href="https://i.kasai.moe/images/icons/apple-touch-icon.png?v=XBreOJMe24">
    <link rel="icon" type="image/png" href="https://i.kasai.moe/images/icons/favicon-32x32.png?v=XBreOJMe24" sizes="32x32">
    <link rel="icon" type="image/png" href="https://i.kasai.moe/images/icons/favicon-16x16.png?v=XBreOJMe24" sizes="16x16">
    <link rel="manifest" href="https://i.kasai.moe/images/icons/manifest.json?v=XBreOJMe24">
    <link rel="mask-icon" href="https://i.kasai.moe/images/icons/safari-pinned-tab.svg?v=XBreOJMe24" color="#5bbad5">
    <link rel="shortcut icon" href="https://i.kasai.moe/images/icons/favicon.ico?v=XBreOJMe24">
    <meta name="apple-mobile-web-app-title" content="i.kasai.moe">
    <meta name="application-name" content="i.kasai.moe">
    <meta name="msapplication-config" content="https://i.kasai.moe/images/icons/browserconfig.xml?v=XBreOJMe24">
    <meta name="theme-color" content="#ffffff">

    <meta property="og:url" content="https://i.kasai.moe">
    <meta property="og:type" content="website">
    <meta property="og:title" content="i.kasai.moe | A small safe worth protecting.">
    <meta property="og:description" content="A pomf-like file uploading service that doesn't suck.">
    <meta property="og:image" content="http://i.kasai.moe/images/logo_square.png">
    <meta property="og:image:secure_url" content="https://i.kasai.moe/images/logo_square.png">

    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="i.kasai.moe | A small safe worth protecting.">
    <meta name="twitter:description" content="A pomf-like file uploading service that doesn't suck.">
    <meta name="twitter:image" content="https://i.kasai.moe/files/images/logo_square.png">
    <meta name="twitter:image:src" content="https://i.kasai.moe/images/logo_square.png">

    <title>i.kasai.moe - A small safe worth protecting.</title>

    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.3.0/css/bulma.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.css">
    <link rel="stylesheet" type="text/css" href="/css/style.css">

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.15.3/axios.min.js"></script>
    <script type="text/javascript" src="https://use.fontawesome.com/cd26baa9bd.js"></script>
    <script type="text/javascript" src="/js/dashboard.js"></script>
  </head>

  <body>
    <section id="auth" class="hero is-light is-fullheight">
      <div class="hero-body">
        <div class="container">
          <h1 class="title">
            Admin dashboard
          </h1>
          <h2 class="subtitle">
            <p class="control has-addons">
              <input id="token" class="input is-danger" type="text" placeholder="Your admin token">
              <a id="tokenSubmit" class="button is-danger is-outlined">Check</a>
            </p>
          </h2>
        </div>
      </div>
    </section>
    <section id="dashboard" class="section">
      <div id="panel" class="container">
        <h1 class="title">Dashboard</h1>
        <h2 class="subtitle">A simple
          <strong>dashboard</strong>, to sort your uploaded stuff</h2>
        <hr>
        <div class="columns">
          <div class="column is-3">
            <aside class="menu" id="menu">
              <p class="menu-label">General</p>
              <ul class="menu-list">
                <li>
                  <a href="/">Frontpage</a>
                </li>
                <li>
                  <a id="itemUploads" onclick="panel.getUploads()">Uploads</a>
                </li>
              </ul>
              <p class="menu-label">Albums</p>
              <ul class="menu-list">
                <li>
                  <a id="itemManageGallery" onclick="panel.getAlbums()">Manage your albums</a>
                </li>
                <li>
                  <ul id='albumsContainer'></ul>
                </li>
              </ul>
              <p class="menu-label">Administration</p>
              <ul class="menu-list">
                <li>
                  <a id="itemTokens" onclick="panel.changeToken()">Change your token</a>
                </li>
                <li>
                  <a id="itemPassword" onclick="panel.changePassword()">Change your password</a>
                </li>
                <li>
                  <a id="itemLogout" onclick="panel.logout()">Logout</a>
                </li>
              </ul>
            </aside>
          </div>
          <div class="column has-text-centered" id="page">
            <img src="/images/logo.png">
          </div>
        </div>
      </div>
    </section>
  </body>
</html>
